<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .item1 { grid-area: header;}
        .item2 { grid-area: menu;}
        .item3 { grid-area: main;}
        .item4 { grid-area: right;}
        .item5 { grid-area: footer;}
        
        .grid-container{
            display: grid;
            grid-template-areas: 
            'header header header header'
            'menu main main right'
            'footer footer footer footer';
            gap:20px;
            background-color: yellowgreen;
         
        }
        .grid-container > div {
          background-color: rgba(255, 255, 255, 0.8);
          text-align: center;
          padding: 20px 0;
          font-size: 30px;
        }
    </style>
</head>
<body>
    <div class="grid-container">
        <div class="item1">Header</div>
        <div class="item2">Menu</div>
        <div class="item3">Main</div>  
        <div class="item4">Right</div>
        <div class="item5">Footer</div>
      </div>
</body>
</html>